

class TempSensorFactory:
	@staticmethod
	def create(name, *args, **kwargs):
		if "sim" in name:
			from components.sensor.tempSensorSim import TempSensorSim
			return TempSensorSim(*args, **kwargs)
		elif "31865" in name:
			from components.sensor.tempSensor_max31865 import TempSensor_max31865
			return TempSensor_max31865(*args, **kwargs)
